> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ignore JID

> Adiciona ou remove um JID da lista de ignorados do bot RAG.



## OpenAPI

````yaml openapi-v2 POST /rag/ignoreJid/{instance}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /rag/ignoreJid/{instance}:
    post:
      tags:
        - RAG Controller
      summary: Add or remove JID from ignore list
      description: Adiciona ou remove um JID da lista de ignorados do bot RAG.
      operationId: ragIgnoreJid
      parameters:
        - name: instance
          in: path
          required: true
          description: Nome da instância
          schema:
            type: string
      requestBody:
        description: JID e ação (add/remove)
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                remoteJid:
                  type: string
                  example: 5511912345678@s.whatsapp.net
                action:
                  type: string
                  enum:
                    - add
                    - remove
              required:
                - remoteJid
                - action
      responses:
        '200':
          description: Lista de JIDs ignorados atualizada
          content:
            application/json:
              schema:
                type: object
                properties:
                  ignoreJids:
                    type: array
                    items:
                      type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````